import request from '@/utils/request'

  //列表加款
  export function  supplierPaymentList(operator) {
    return request({
      url: '/supplierPayment/list',
      method: 'POST',
      data: operator
    })
  }
  //供应商
  export function  channelList(operator) {
    return request({
      url: '/channel/supplierInfo',
      method: 'get',
      data: operator
    })
  }
  //银行卡
  export function  bankcardList(operator) {
    return request({
      url: '/bankcard/list',
      method: 'get',
      params: operator
    })
  }
  //供应商加款
  export function  supplierPaymentAdd(operator) {
    return request({
      url: '/supplierPayment/add',
      method: 'POST',
      data: operator
    })
  }
  //供应商加款撤销
  export function  supplierPaymentAnnul(operator) {
    return request({
      url: '/supplierPayment/cancel',
      method: 'POST',
      data: operator
    })
  }
  //供应商修改
  export function  supplierPaymentEdit(operator) {
    return request({
      url: '/supplierPayment/update',
      method: 'POST',
      data: operator
    })
  }
